First time here? Check out the FAQ!
x

Kaspersky protection not available on Firefox.

0 votes
asked by about Kaspersky Internet Security
edited by

Mozilla Firefox says "Kaspersky protection could not be verified for use in Firefox (Disabled)"

1 Answer

0 votes
answered by (309k points)

This happens when the extensions are not signed. Firefox doesn't allow installing extensions that aren't singed anymore. You will have to download latest version of Firefox and Kaspersky to update the current installations, then try installing the extensions as well. If it still doesn't work after this procedure, then you need to forward a complaint to Kaspersky support. They need to send the extension to Mozilla for signing and then you can install it.

Kaspersky Support: http://support.kaspersky.com/

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...